---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# Invoke-UnitTest

## SYNOPSIS
Runs all Pester tests within this repo.

## SYNTAX

```
Invoke-UnitTest [[-CoverageFormat] <String>] [[-Verbosity] <String>] [-PassThru] [[-Tag] <String[]>]
 [[-ExcludeTag] <String[]>] [<CommonParameters>]
```

## DESCRIPTION
This Cmdlet is used in Drone pipeline to perform the Pester based unit tests.

## EXAMPLES

### EXAMPLE 1
```
Invoke-UnitTest
```

## PARAMETERS

### -CoverageFormat
Pester provides the formats JaCoCo ans CoverageGutters.
Default is JaCoCo.
These are the known use cases:
- JaCoCo -\> Used as standard coverage report used by sonar
- CoverageGutters -\> Custom Format to show coverage in VSCode.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 1
Default value: JaCoCo
Accept pipeline input: False
Accept wildcard characters: False
```

### -ExcludeTag
Pester build in exclude filter for tests as string array.

```yaml
Type: String[]
Parameter Sets: (All)
Aliases:

Required: False
Position: 4
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -PassThru
Tells Invoke-UnitTest to write back the Pester results into your variable / output.

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: False
Accept pipeline input: False
Accept wildcard characters: False
```

### -Tag
Pester build in tag filter as string array.

```yaml
Type: String[]
Parameter Sets: (All)
Aliases:

Required: False
Position: 3
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Verbosity
This parameter sets the Pester detail level.
Default is 'Normal.' Available values are:
'None', 'Normal', 'Detailed', 'Diagnostic'

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 2
Default value: Normal
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [None] No pipeline input.
## OUTPUTS

### [None] No pipeline output.
## NOTES

## RELATED LINKS
