---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# Send-PRComment

## SYNOPSIS
Sends build report as Gitea PR comment.

## SYNTAX

```
Send-PRComment [[-Mode] <String>] [[-GiteaUser] <String>] [<CommonParameters>]
```

## DESCRIPTION
Send-PRComment is used to report the build details from drone.io pipeline.

## EXAMPLES

### EXAMPLE 1
```
Send-PRComment
Depends on Drone.IO injected environment vars. Doesn't work locally on dev systems.
```

## PARAMETERS

### -GiteaUser
Gitea user for drone bot

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 2
Default value: Drone-bot
Accept pipeline input: False
Accept wildcard characters: False
```

### -Mode
Sets the report mode.
Default is 'Renew'.
This mode deletes the old pr comments and creates a new onw.
Also available:
  - 'Add' -\> simply adds new pr comments.
  - 'Edit' -\> Edits the last known pr comment.
Doesn't clean old ones.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 1
Default value: Renew
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [None].
## OUTPUTS

### [None]
## NOTES

## RELATED LINKS
