---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# Set-EOL

## SYNOPSIS
Helper function to set the EOL sequence to LF or CRLF.

## SYNTAX

```
Set-EOL [[-Style] <String>] [-Path] <FileInfo> [<CommonParameters>]
```

## DESCRIPTION
Helper for changing the EOL independent to the current OS defaults.

## EXAMPLES

### EXAMPLE 1
```
Import-Module -Name DroneHelper; Set-EOL -Path './Readme.md'
```

## PARAMETERS

### -Path
Mandatory path for target file.

```yaml
Type: FileInfo
Parameter Sets: (All)
Aliases:

Required: True
Position: 2
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Style
Optional style parameter for \`unix\` or \`win.\`.
Default is \`unix\`.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 1
Default value: Unix
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [None] No pipeline input.
## OUTPUTS

### [DroneHelper.Repo.Path] Returns a folder structured like object with relevant full paths.s
## NOTES

## RELATED LINKS
